Bug 290751 - (Pavel) TB3c0e7198 GUI_functions.py:466:gui_run_dialog:AttributeError: 'NoneType' object has no attribute 'connect'
TB3c0e7198 GUI_functions.py:466:gui_run_dialog:AttributeError: 'NoneType' obj...
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-14 09:28 EDT by Pavel Seraphimov
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-25 00:36:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
It's the bug file. (1.77 KB, text/plain)
2007-09-14 09:28 EDT, Pavel Seraphimov
no flags Details

  None (edit)
Description Pavel Seraphimov 2007-09-14 09:28:56 EDT
Description of problem:
Traceback (most recent call last):
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
726, in on_deactivateButton_clicked
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
977, in on_deviceDeactivateButton_clicked
    (status, txt) = dev.deactivate(dialog = self.dialog)
  File "/usr/share/system-config-network/netconfpkg/NCDevice.py", line 437, in
    dialog = dialog )
  File "/usr/share/system-config-network/netconfpkg/NC_functions.py", line 575,
in generic_run_dialog
    dialog = dialog)
  File "/usr/share/system-config-network/netconfpkg/gui/GUI_functions.py", line
466, in gui_run_dialog
    dlg.connect( "delete-event", __on_Dialog_close )
AttributeError: 'NoneType' object has no attribute 'connect'

Local variables in innermost frame:
xml: <glade.XML object (PyGladeXML) at 0x8c9e02c>
stdin: 0
dlg: None
string: <module 'string' from '/usr/lib/python2.5/string.pyc'>
img: None
title: system-config-network:

Network device deactivating...
root: /
gtk: <module 'gtk' from '/usr/lib/python2.5/site-packages/gtk-2.0/gtk/__init__.pyc'>
command: /sbin/ifdown
CancelException: netconfpkg.gui.GUI_functions.CancelException
label: Deactivating network device wlan0, please wait...
catchfd: (1, 2)
searchPath: 0
argv: ['/sbin/ifdown', 'wlan0', 'down']
closefd: -1
dialog: <gnome.ui.App object (GnomeApp) at 0x8c8b61c>
swindow: None
os: <module 'os' from '/usr/lib/python2.5/os.pyc'>
lbl: None
select: <module 'select' from '/usr/lib/python2.5/lib-dynload/selectmodule.so'>
errlabel: Cannot deactivate network device wlan0!

Version-Release number of selected component (if applicable):
Component: system-config-network
Version: 1.3.96

How reproducible:
You can reproduce the problem on every notebook like mine (HP NX9420
Model:NSTNN-C13C. The router's model, which acts like AP, is MSI 108M Wireless

Steps to Reproduce:
Actual results:
The wireless interface is not active.

Expected results:
In four words: Start surfing the web.
More advanced explanation: Start the wireless networking process and
communication protocols on the highest layer of the OSI Reference Model.

Additional info:
Comment 1 Pavel Seraphimov 2007-09-14 09:28:56 EDT
Created attachment 195871 [details]
It's the bug file.
Comment 2 Harald Hoyer 2007-09-24 03:44:00 EDT
What is the output of:
# ls -l /usr/share/system-config-network/netconfpkg/gui/infodialog.glade
# rpm -Vf /usr/share/system-config-network/netconfpkg/gui/infodialog.glade
Comment 3 Brian Powell 2008-04-25 00:36:57 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.